#version 460 core

/* RENDERTARGETS: 0 */
layout(location = 0) out vec4 outColor0;

uniform mat4 gbufferModelView;
uniform vec3 fogColor, skyColor;

in vec3 nViewPos;
in vec4 star; // rgb = tintColor, a = if star 1.0 else 0.0

void main() {
	float height = max(dot(normalize(nViewPos), gbufferModelView[1].xyz), 0.0);
	float fog = 0.25 / (height * height + 0.25);

	if (star.a > 0.5) {
		outColor0 = vec4(star.rgb, (1.25 - fog) * 0.5);
	} else {
		outColor0 = vec4(mix(skyColor, fogColor, fog), 1.0);
	}
}