#version 460 core

uniform mat4 modelViewMatrix, projectionMatrix;

in vec4 vaColor;

out vec3 nViewPos;
out vec4 star; // rgb = tintColor, a = if star 1.0 else 0.0

void main() {
	vec4 viewPos = modelViewMatrix * vec4(vaPosition, 1.0);

	nViewPos = viewPos.xyz;

	gl_Position = projectionMatrix * viewPos;

	star = vec4(vaColor.rgb, float(vaColor.r == vaColor.g && vaColor.g == vaColor.b && vaColor.r > 0.0));
}