vec3 distort(in vec3 shadowPosition) {
	const float bias0 = 0.95;
	const float bias1 = 1.0 - bias0;

	float factorDistance = length(shadowPosition.xy);

	float distortFactor = factorDistance * bias0 + bias1;

	return shadowPosition * vec3(vec2(1.0 / distortFactor), 0.2);
}

/*
	// Increases Variable Penumbra somehow
	// Might have unintended side effects
	vec2 distort(in vec2 shadowPosition) {
		float centerDistance = length(shadowPosition);
		float distortionFactor = mix(1.0, centerDistance, 0.96);
		return shadowPosition.xy / distortionFactor;
	}
*/