#version 460 core

#include "/lib/settings.glsl"

#ifdef TERRAIN_SHADOWS
#endif
#ifdef ENTITY_SHADOWS
#endif
#ifdef BLOCK_ENTITY_SHADOWS
#endif

/* RENDERTARGETS: 0 */

#ifdef COLORED_SHADOWS
	/*
		const int shadowcolor0Format = RGB8;
	*/

	layout(location = 0) out vec3 outColor0;

	in vec4 tintColor;
#else
	#if WATER_OPACITY != 100
		in float tintAlpha;
	#endif
#endif

uniform float alphaTestRef;
uniform sampler2D gtexture;

in vec2 texCoord;

void main() {
	#ifdef COLORED_SHADOWS
		vec4 color = textureLod(gtexture, texCoord, 0.0) * tintColor;
		if (color.a < alphaTestRef) discard;

		outColor0 = mix(vec3(1.0), pow(color.rgb, vec3(2.4)), color.a - 10.0 * max(0.0, color.a - 0.9));
	#else
		float alpha = texture(gtexture, texCoord).a;

		#if WATER_OPACITY != 100
			alpha *= tintAlpha;
		#endif

		if (alpha < alphaTestRef) discard;
	#endif
}