#version 460 core

#include "/lib/settings.glsl"

uniform vec3 chunkOffset;
uniform mat4 modelViewMatrix, projectionMatrix;

in vec3 mc_Entity, vaPosition;
in vec2 vaUV0;

#ifdef COLORED_SHADOWS
	in vec4 vaColor;

	out vec4 tintColor;
#else
	#if WATER_OPACITY != 100
		out float tintAlpha;
	#endif
#endif

out vec2 texCoord;

#include "/lib/distort.glsl"

void main() {
	texCoord = vaUV0;

	vec4 position = projectionMatrix * modelViewMatrix * vec4(vaPosition + chunkOffset, 1.0);
	gl_Position = vec4(distort(position.xyz), position.w);

	#if WATER_OPACITY != 100
		float opacity = mc_Entity.r == 1 ? WATER_OPACITY * 0.01 : 1.0;
	#else
		const float opacity = 1.0;
	#endif

	#ifdef COLORED_SHADOWS
		tintColor = vec4(vaColor.rgb, opacity);
	#else
		#if WATER_OPACITY != 100
			tintAlpha = opacity;
		#endif
	#endif
}