#version 460 core

/* RENDERTARGETS: 0 */
layout(location = 0) out vec4 outColor0;

uniform float alphaTestRef;
uniform vec3 fogColor;
uniform sampler2D gtexture;

in float fog;
in vec2 texCoord;
in vec3 tintColor;

void main() {
	vec4 color = texture(gtexture, texCoord);
	if (color.a < alphaTestRef) discard;

	color.rgb *= tintColor;

	color.rgb = mix(color.rgb, fogColor, fog);

	outColor0 = color;
}