#version 460 core

#include "/lib/settings.glsl"
#include "/lib/lightmap.glsl"

uniform int isEyeInWater;
uniform float blindness, far;
uniform vec3 chunkOffset;
uniform vec4 entityColor;
uniform mat4 modelViewMatrix, projectionMatrix;

in vec2 vaUV0;
in vec3 vaPosition;
in vec4 vaColor;

out float fog;
out vec2 texCoord;
out vec3 tintColor;

void main() {
	vec4 viewPos = modelViewMatrix * vec4(vaPosition + chunkOffset, 1.0);

	fog = min(pow(length(viewPos.xyz) / far, 10.0 / (FOG + blindness * 5000.0 + pow(isEyeInWater, 4.0) * WATER_FOG)), 1.0);

	gl_Position = projectionMatrix * viewPos;

	texCoord = vaUV0;

	tintColor = mix(vaColor.rgb, entityColor.rgb, entityColor.a);

	vec3 light = texture(lightmap, lmCoord).rgb;
	tintColor *= mix(vec3(1.0, 0.6, 0.76) * AMBIENT * 0.05, light * 1.5, float(light) - 0.75);
}